From 7fdfe8c2549b53ea36d68b879020e0236d6480ac Mon Sep 17 00:00:00 2001
From: Keith Thompson <Keith.S.Thompson@gmail.com>
Date: Wed, 5 Jan 2022 13:30:16 -0800
Subject: [PATCH] Fix documented argv and envp params for posix_spawn

---
 newlib/libc/posix/posix_spawn.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/newlib/libc/posix/posix_spawn.c b/newlib/libc/posix/posix_spawn.c
index 005471fde..85bfa6477 100644
--- a/newlib/libc/posix/posix_spawn.c
+++ b/newlib/libc/posix/posix_spawn.c
@@ -39,11 +39,11 @@ SYNOPSIS
 	int posix_spawn(pid_t *<[pid]>, const char *<[path]>,
 			const posix_spawn_file_actions_t *<[file_actions]>,
 			const posix_spawnattr_t *<[attrp]>,
-			char *const <[argv]>, char *const <[envp]>);
+			char *const <[argv]>[], char *const <[envp]>[]);
 	int posix_spawnp(pid_t *<[pid]>, const char *<[file]>,
 			const posix_spawn_file_actions_t *<[file_actions]>,
 			const posix_spawnattr_t *<[attrp]>,
-			char *const <[argv]>, char *const <[envp]>);
+			char *const <[argv]>[], char *const <[envp]>[]);
 
 DESCRIPTION
 Use <<posix_spawn>> and <<posix_spawnp>> to create a new child process
-- 
2.33.1

